Bug 120245

Summary: kdemultimedia srpm should require cdparanoia-devel
Product: [Fedora] Fedora Reporter: Keunwoo Lee <klee>
Component: kdemultimediaAssignee: Ngo Than <than>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-04-07 14:27:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Keunwoo Lee 2004-04-07 03:41:24 UTC
Description of problem: 
The kdemultimedia SRPM does not require cdparanoia-devel. 
 
Version-Release number of selected component (if applicable): 
Present since Fedora Core 1 release; remains in kdemultimedia 3.2.1-1 
from the 1.91 release on the mirrors. 
 
How reproducible: 
 
rpm -qp --requires kdemultimedia-xxxx.src.rpm 
 
No cdparanoia-devel.  Now try to build the kdemultimedia SRPM on a 
machine with no cdparanoia-devel.  You won't be pleased. 
 
Recommended solution: 
Probably should add 
 
BuildRequires: cdparanoia-devel 
 
to the kdemultimedia specfile. 
 
Possibly this will cause some problems with people who want to get 
the SRPM from yum (is this even possible?), because yum doesn't seem 
to grok the cdparanoia RPM (I suspect the 'alpha' in the current 
version name has something to do with it).  But that's a separate bug 
report.

Comment 1 Ngo Than 2004-04-07 14:27:52 UTC
it's fixed in 3.2.1-2.1 or newer. thanks for your report.